﻿Namespace TTX

    ''' <summary>
    ''' 银行开销户信息
    ''' </summary>
    Public Class BankAccountRegisterInfo
        ''' <summary>
        ''' 银行名称
        ''' </summary>
        Public Property BankName() As String

        ''' <summary>
        ''' 交易日期
        ''' </summary>
        Public Property TradeDay() As String

        ''' <summary>
        ''' 银行编码
        ''' </summary>
        Public Property BankId() As String

        ''' <summary>
        ''' 银行分支机构编码
        ''' </summary>
        Public Property BankBranchId() As String

        ''' <summary>
        ''' 银行帐号
        ''' </summary>
        Public Property BankAccount() As String

        ''' <summary>
        ''' 期货公司编码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 期货公司分支机构编码
        ''' </summary>
        Public Property BrokerBranchId() As String

        ''' <summary>
        ''' 投资者帐号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 证件类型:
        ''' 48=组织机构代码(EID);
        ''' 49=中国公民身份证(IDCard);
        ''' 50=军官证(OfficerIDCard);
        ''' 51=警官证(PoliceIDCard);
        ''' 52=士兵证(SoldierIDCard);
        ''' 53=户口簿(HouseholdRegister);
        ''' 54=护照(Passport);
        ''' 55=台胞证(TaiwanCompatriotIDCard);
        ''' 56=回乡证(HomeComingCard);
        ''' 57=营业执照号(LicenseNo);
        ''' 65=税务登记号/当地纳税ID(TaxNo);
        ''' 66=港澳居民来往内地通行证(HMMainlandTravelPermit);
        ''' 67=台湾居民来往大陆通行证(TwMainlandTravelPermit);
        ''' 68=驾照(DrivingLicense);
        ''' 70=当地社保ID(SocialID);
        ''' 71=当地身份证(LocalID);
        ''' 72=商业登记证(BusinessRegistration);
        ''' 73=港澳永久性居民身份证(HKMCIDCard);
        ''' 74=人行开户许可证(AccountsPermits);
        ''' 75=其他证件(OtherCard)
        ''' </summary>
        Public Property IdCardType() As Integer

        ''' <summary>
        ''' 证件号码
        ''' </summary>
        Public Property IdentifiedCardNo() As String

        ''' <summary>
        ''' 客户姓名
        ''' </summary>
        Public Property CustomerName() As String

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String

        ''' <summary>
        ''' 开销户类别,48=开户(Open),49=销户(Destroy)
        ''' </summary>
        Public Property OpenOrDestroy() As Integer

        ''' <summary>
        ''' 签约日期
        ''' </summary>
        Public Property RegDate() As String

        ''' <summary>
        ''' 解约日期
        ''' </summary>
        Public Property OutDate() As String

        ''' <summary>
        ''' 交易ID
        ''' </summary>
        Public Property Tid() As Integer

        ''' <summary>
        ''' 客户类型,48=自然人(Person),49=机构户(Institution)
        ''' </summary>
        Public Property CustType() As Integer

        ''' <summary>
        ''' 银行帐号类型,49=银行存折(BankBook),50=储蓄卡(SavingCard),51=信用卡(CreditCard)
        ''' </summary>
        Public Property BankAccType() As Integer

        ''' <summary>
        ''' 长客户姓名
        ''' </summary>
        Public Property LongCustomerName() As String
    End Class

    ''' <summary>
    ''' 执行宣告信息
    ''' </summary>
    Public Class ExecOrderInfo
        ''' <summary>
        ''' 执行宣告序号
        ''' </summary>
        Public Property OrderSn() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 执行宣告引用
        ''' </summary>
        Public Property ExecOrderRef() As String

        ''' <summary>
        ''' 用户代码
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 数量
        ''' </summary>
        Public Property Volume() As Integer

        ''' <summary>
        ''' 请求编号
        ''' </summary>
        Public Property RequestId() As Integer

        ''' <summary>
        ''' 业务单元
        ''' </summary>
        Public Property BusinessUnit() As String

        ''' <summary>
        ''' 开平标志,49=平仓(Close),51=平今(CloseToday)
        ''' </summary>
        Public Property OffsetFlag() As Integer

        ''' <summary>
        ''' 投机套保标志,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property HedgeFlag() As Integer

        ''' <summary>
        ''' 执行类型,49=执行(Exec),50=放弃(Abandon)
        ''' </summary>
        Public Property ActionType() As Integer

        ''' <summary>
        ''' 保留头寸申请的持仓方向,49=净(Net),50=多头(Long),51=空头(Short)
        ''' </summary>
        Public Property PosiDirection() As Integer

        ''' <summary>
        ''' 期权行权后是否保留期货头寸的标记,48=保留(Reserve),49=不保留(UnReserve)
        ''' </summary>
        Public Property ReservePositionFlag() As Integer

        ''' <summary>
        ''' 期权行权后生成的头寸是否自动平仓,48=自动平仓(AutoClose),49=免于自动平仓(NotToClose)
        ''' </summary>
        Public Property CloseFlag() As Integer

        ''' <summary>
        ''' 本地执行宣告编号
        ''' </summary>
        Public Property ExecOrderLocalId() As String

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 会员代码
        ''' </summary>
        Public Property ParticipantId() As String

        ''' <summary>
        ''' 客户代码
        ''' </summary>
        Public Property ClientId() As String

        ''' <summary>
        ''' 合约在交易所的代码
        ''' </summary>
        Public Property ExchangeInstId() As String

        ''' <summary>
        ''' 交易所交易员代码
        ''' </summary>
        Public Property TraderId() As String

        ''' <summary>
        ''' 安装编号
        ''' </summary>
        Public Property InstallId() As Integer

        ''' <summary>
        ''' 执行宣告提交状态：
        ''' 48=已经提交(InsertSubmitted);
        ''' 49=撤单已经提交(CancelSubmitted);
        ''' 50=修改已经提交(ModifySubmitted);
        ''' 51=已经接受(Accepted);
        ''' 52=报单已经被拒绝(InsertRejected);
        ''' 53=撤单已经被拒绝(CancelRejected);
        ''' 54=改单已经被拒绝(ModifyRejected)
        ''' </summary>
        Public Property OrderSubmitStatus() As Integer

        ''' <summary>
        ''' 报单提示序号
        ''' </summary>
        Public Property NotifySequence() As Integer

        ''' <summary>
        ''' 交易日
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 结算编号
        ''' </summary>
        Public Property SettlementId() As Integer

        ''' <summary>
        ''' 执行宣告编号
        ''' </summary>
        Public Property ExecOrderSysId() As String

        ''' <summary>
        ''' 报单日期
        ''' </summary>
        Public Property InsertDate() As String

        ''' <summary>
        ''' 插入时间
        ''' </summary>
        Public Property InsertTime() As String

        ''' <summary>
        ''' 撤销时间
        ''' </summary>
        Public Property CancelTime() As String

        ''' <summary>
        ''' 执行结果：
        ''' 110=没有执行(NoExec);
        ''' 99=已经取消(Canceled);
        ''' 48=执行成功(OK);
        ''' 49=期权持仓不够(NoPosition);
        ''' 50=资金不够(NoDeposit);
        ''' 51=会员不存在(NoParticipant);
        ''' 52=客户不存在(NoClient);
        ''' 53=合约不存在(NoInstrument);
        ''' 54=没有执行权限(NoRight);
        ''' 55=不合理的数量(InvalidVolume);
        ''' 56=没有足够的历史成交(NoEnoughHistoryTrade);
        ''' 97=未知(Unknown)
        ''' </summary>
        Public Property ExecResult() As Integer

        ''' <summary>
        ''' 结算会员编号
        ''' </summary>
        Public Property ClearingPartId() As String

        ''' <summary>
        ''' 序号
        ''' </summary>
        Public Property SequenceNo() As Integer

        ''' <summary>
        ''' 前置编号
        ''' </summary>
        Public Property FrontId() As Integer

        ''' <summary>
        ''' 会话编号
        ''' </summary>
        Public Property SessionId() As Integer

        ''' <summary>
        ''' 用户端产品信息
        ''' </summary>
        Public Property UserProductInfo() As String

        ''' <summary>
        ''' 状态信息
        ''' </summary>
        Public Property StatusMsg() As String

        ''' <summary>
        ''' 操作用户代码
        ''' </summary>
        Public Property ActiveUserId() As String

        ''' <summary>
        ''' 经纪公司报单编号
        ''' </summary>
        Public Property BrokerExecOrderSeq() As Integer

        ''' <summary>
        ''' 营业部编号
        ''' </summary>
        Public Property BranchId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String

        ''' <summary>
        ''' 资金账号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String

        ''' <summary>
        ''' IP地址
        ''' </summary>
        Public Property IpAddress() As String

        ''' <summary>
        ''' Mac地址
        ''' </summary>
        Public Property MacAddress() As String
    End Class

    ''' <summary>
    ''' 询价请求
    ''' </summary>
    Public Class InputForQuoteInfo
        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 询价引用
        ''' </summary>
        Public Property ForQuoteRef() As String

        ''' <summary>
        ''' 用户代码
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String

        ''' <summary>
        ''' IP地址
        ''' </summary>
        Public Property IpAddress() As String

        ''' <summary>
        ''' Mac地址
        ''' </summary>
        Public Property MacAddress() As String
    End Class

    ''' <summary>
    ''' 合约手续费率
    ''' </summary>
    Public Class InstrumentCommissionRateInfo
        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 投资者范围,49=所有,50=投资者组,51=单一投资者
        ''' </summary>
        Public Property InvestorRange() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 开仓手续费率
        ''' </summary>
        Public Property OpenRatioByMoney() As Double

        ''' <summary>
        ''' 开仓手续费
        ''' </summary>
        Public Property OpenRatioByVolume() As Double

        ''' <summary>
        ''' 平仓手续费率
        ''' </summary>
        Public Property CloseRatioByMoney() As Double

        ''' <summary>
        ''' 平仓手续费
        ''' </summary>
        Public Property CloseRatioByVolume() As Double

        ''' <summary>
        ''' 平今手续费率
        ''' </summary>
        Public Property CloseTodayRatioByMoney() As Double

        ''' <summary>
        ''' 平今手续费
        ''' </summary>
        Public Property CloseTodayRatioByVolume() As Double

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 业务类型,49=期货,50=证券
        ''' </summary>
        Public Property BizType() As Integer

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 合约信息
    ''' </summary>
    Public Class InstrumentInfo
        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 合约名称
        ''' </summary>
        Public Property InstrumentName() As String

        ''' <summary>
        ''' 合约在交易所的代码
        ''' </summary>
        Public Property ExchangeInstId() As String

        ''' <summary>
        ''' 产品代码
        ''' </summary>
        Public Property ProductId() As String

        ''' <summary>
        ''' 品种类型:
        ''' 49=期货(Futures);
        ''' 50=期货期权(Options);
        ''' 51=组合(Combination);
        ''' 52=即期(Spot);
        ''' 53=期转现(EFP);
        ''' 54=现货期权(SpotOption)
        ''' </summary>
        Public Property ProductClass() As Integer

        ''' <summary>
        ''' 交割年份
        ''' </summary>
        Public Property DeliveryYear() As Integer

        ''' <summary>
        ''' 交割月
        ''' </summary>
        Public Property DeliveryMonth() As Integer

        ''' <summary>
        ''' 市价单最大下单量
        ''' </summary>
        Public Property MaxMarketOrderVolume() As Integer

        ''' <summary>
        ''' 市价单最小下单量
        ''' </summary>
        Public Property MinMarketOrderVolume() As Integer

        ''' <summary>
        ''' 限价单最大下单量
        ''' </summary>
        Public Property MaxLimitOrderVolume() As Integer

        ''' <summary>
        ''' 限价单最小下单量
        ''' </summary>
        Public Property MinLimitOrderVolume() As Integer

        ''' <summary>
        ''' 合约数量乘数
        ''' </summary>
        Public Property VolumeMultiple() As Integer

        ''' <summary>
        ''' 最小变动价位
        ''' </summary>
        Public Property PriceTick() As Double

        ''' <summary>
        ''' 创建日
        ''' </summary>
        Public Property CreateDate() As String

        ''' <summary>
        ''' 上市日
        ''' </summary>
        Public Property OpenDate() As String

        ''' <summary>
        ''' 到期日
        ''' </summary>
        Public Property ExpireDate() As String

        ''' <summary>
        ''' 开始交割日
        ''' </summary>
        Public Property StartDelivDate() As String

        ''' <summary>
        ''' 结束交割日
        ''' </summary>
        Public Property EndDelivDate() As String

        ''' <summary>
        ''' 合约生命周期状态,48=未上市(NotStart),49=上市(Started),50=停牌(Pause),51=到期(Expired)
        ''' </summary>
        Public Property InstLifePhase() As Integer

        ''' <summary>
        ''' 当前是否交易
        ''' </summary>
        Public Property IsTrading() As Integer

        ''' <summary>
        ''' 持仓类型,49=净持仓(Net),50=综合持仓(Gross)
        ''' </summary>
        Public Property PositionType() As Integer

        ''' <summary>
        ''' 持仓日期类型,49=使用历史持仓(UseHistory),50=不使用历史持仓(NoUseHistory)
        ''' </summary>
        Public Property PositionDateType() As Integer

        ''' <summary>
        ''' 多头保证金率
        ''' </summary>
        Public Property LongMarginRatio() As Double

        ''' <summary>
        ''' 空头保证金率
        ''' </summary>
        Public Property ShortMarginRatio() As Double

        ''' <summary>
        ''' 是否使用大额单边保证金算法,48=否(No),49=是(Yes)
        ''' </summary>
        Public Property MaxMarginSideAlgorithm() As Integer

        ''' <summary>
        ''' 基础商品代码
        ''' </summary>
        Public Property UnderlyingInstrId() As String

        ''' <summary>
        ''' 执行价
        ''' </summary>
        Public Property StrikePrice() As Double

        ''' <summary>
        ''' 期权类型,49=看涨(CallOptions),50=看跌(PutOptions)
        ''' </summary>
        Public Property OptionsType() As Integer

        ''' <summary>
        ''' 合约基础商品乘数
        ''' </summary>
        Public Property UnderlyingMultiple() As Double

        ''' <summary>
        ''' 组合类型:
        ''' 48=期货组合(Future);
        ''' 49=看涨垂直价差(BUL);
        ''' 50=看跌垂直价差(BER);
        ''' 51=跨式组合(STD);
        ''' 52=宽跨式组合(STG);
        ''' 53=备兑组合(PRT);
        ''' 54=时间价差组合(CLD)
        ''' </summary>
        Public Property CombinationType() As Integer
    End Class

    ''' <summary>
    ''' 合约保证金率
    ''' </summary>
    Public Class InstrumentMarginRateInfo
        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 投资者范围,49=所有,50=投资者组,51=单一投资者
        ''' </summary>
        Public Property InvestorRange() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 投机套保标志,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property HedgeFlag() As Integer

        ''' <summary>
        ''' 多头保证金率
        ''' </summary>
        Public Property LongMarginRatioByMoney() As Double

        ''' <summary>
        ''' 多头保证金费
        ''' </summary>
        Public Property LongMarginRatioByVolume() As Double

        ''' <summary>
        ''' 空头保证金率
        ''' </summary>
        Public Property ShortMarginRatioByMoney() As Double

        ''' <summary>
        ''' 空头保证金费
        ''' </summary>
        Public Property ShortMarginRatioByVolume() As Double

        ''' <summary>
        ''' 是否相对交易所收取
        ''' </summary>
        Public Property IsRelative() As Integer

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 合约报单手续费率
    ''' </summary>
    Public Class InstrumentOrderCommissionRateInfo
        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 投资者范围,49=所有,50=投资者组,51=单一投资者
        ''' </summary>
        Public Property InvestorRange() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 投机套保标志,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property HedgeFlag() As Integer

        ''' <summary>
        ''' 报单手续费
        ''' </summary>
        Public Property OrderCommByVolume() As Double

        ''' <summary>
        ''' 撤单手续费
        ''' </summary>
        Public Property OrderActionCommByVolume() As Double

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 合约状态
    ''' </summary>
    Public Class InstrumentStatusInfo
        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 合约在交易所的代码
        ''' </summary>
        Public Property ExchangeInstId() As String

        ''' <summary>
        ''' 结算组代码
        ''' </summary>
        Public Property SettlementGroupId() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 合约交易状态:
        ''' 48=开盘前(BeforeTrading),
        ''' 49=非交易(NoTrading),
        ''' 50=连续交易(Continous),
        ''' 51=集合竞价报单(AuctionOrdering),
        ''' 52=集合竞价价格平衡(AuctionBalance),
        ''' 53=集合竞价撮合(AuctionMatch),
        ''' 54=收盘(Closed
        ''' </summary>
        Public Property InstrumentStatus() As Integer

        ''' <summary>
        ''' 交易阶段编号
        ''' </summary>
        Public Property TradingSegmentSn() As Integer

        ''' <summary>
        ''' 进入本状态时间
        ''' </summary>
        Public Property EnterTime() As String

        ''' <summary>
        ''' 进入本状态原因,49=自动切换(Automatic),50=手动切换(Manual),51=熔断(Fuse)
        ''' </summary>
        Public Property EnterReason() As Integer
    End Class

    ''' <summary>
    ''' 日志信息
    ''' </summary>
    Public Class LogInfo
        ''' <summary>
        ''' 时间
        ''' </summary>
        Public Property LogTime() As Date

        ''' <summary>
        ''' 内容
        ''' </summary>
        Public Property LogContent() As String
    End Class

    ''' <summary>
    ''' 行情信息
    ''' </summary>
    Public Class MarketDataInfo
        ''' <summary>
        ''' 交易日
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 合约在交易所的代码
        ''' </summary>
        Public Property ExchangeInstId() As String

        ''' <summary>
        ''' 最新价
        ''' </summary>
        Public Property LastPrice() As Double

        ''' <summary>
        ''' 上次结算价
        ''' </summary>
        Public Property PreSettlementPrice() As Double

        ''' <summary>
        ''' 昨收盘
        ''' </summary>
        Public Property PreClosePrice() As Double

        ''' <summary>
        ''' 昨持仓量
        ''' </summary>
        Public Property PreOpenInterest() As Double

        ''' <summary>
        ''' 今开盘
        ''' </summary>
        Public Property OpenPrice() As Double

        ''' <summary>
        ''' 最高价
        ''' </summary>
        Public Property HighestPrice() As Double

        ''' <summary>
        ''' 最低价
        ''' </summary>
        Public Property LowestPrice() As Double

        ''' <summary>
        ''' 数量
        ''' </summary>
        Public Property Volume() As Integer

        ''' <summary>
        ''' 成交金额
        ''' </summary>
        Public Property Turnover() As Double

        ''' <summary>
        ''' 持仓量
        ''' </summary>
        Public Property OpenInterest() As Double

        ''' <summary>
        ''' 今收盘
        ''' </summary>
        Public Property ClosePrice() As Double

        ''' <summary>
        ''' 本次结算价
        ''' </summary>
        Public Property SettlementPrice() As Double

        ''' <summary>
        ''' 涨停板价
        ''' </summary>
        Public Property UpperLimitPrice() As Double

        ''' <summary>
        ''' 跌停板价
        ''' </summary>
        Public Property LowerLimitPrice() As Double

        ''' <summary>
        ''' 昨虚实度
        ''' </summary>
        Public Property PreDelta() As Double

        ''' <summary>
        ''' 今虚实度
        ''' </summary>
        Public Property CurrDelta() As Double

        ''' <summary>
        ''' 最后修改时间
        ''' </summary>
        Public Property UpdateTime() As String

        ''' <summary>
        ''' 最后修改毫秒
        ''' </summary>
        Public Property UpdateMillisec() As Integer

        ''' <summary>
        ''' 申买价一
        ''' </summary>
        Public Property BidPrice1() As Double

        ''' <summary>
        ''' 申买量一
        ''' </summary>
        Public Property BidVolume1() As Integer

        ''' <summary>
        ''' 申卖价一
        ''' </summary>
        Public Property AskPrice1() As Double

        ''' <summary>
        ''' 申卖量一
        ''' </summary>
        Public Property AskVolume1() As Integer

        ''' <summary>
        ''' 申买价二
        ''' </summary>
        Public Property BidPrice2() As Double

        ''' <summary>
        ''' 申买量二
        ''' </summary>
        Public Property BidVolume2() As Integer

        ''' <summary>
        ''' 申卖价二
        ''' </summary>
        Public Property AskPrice2() As Double

        ''' <summary>
        ''' 申卖量二
        ''' </summary>
        Public Property AskVolume2() As Integer

        ''' <summary>
        ''' 申买价三
        ''' </summary>
        Public Property BidPrice3() As Double

        ''' <summary>
        ''' 申买量三
        ''' </summary>
        Public Property BidVolume3() As Integer

        ''' <summary>
        ''' 申卖价三
        ''' </summary>
        Public Property AskPrice3() As Double

        ''' <summary>
        ''' 申卖量三
        ''' </summary>
        Public Property AskVolume3() As Integer

        ''' <summary>
        ''' 申买价四
        ''' </summary>
        Public Property BidPrice4() As Double

        ''' <summary>
        ''' 申买量四
        ''' </summary>
        Public Property BidVolume4() As Integer

        ''' <summary>
        ''' 申卖价四
        ''' </summary>
        Public Property AskPrice4() As Double

        ''' <summary>
        ''' 申卖量四
        ''' </summary>
        Public Property AskVolume4() As Integer

        ''' <summary>
        ''' 申买价五
        ''' </summary>
        Public Property BidPrice5() As Double

        ''' <summary>
        ''' 申买量五
        ''' </summary>
        Public Property BidVolume5() As Integer

        ''' <summary>
        ''' 申卖价五
        ''' </summary>
        Public Property AskPrice5() As Double

        ''' <summary>
        ''' 申卖量五
        ''' </summary>
        Public Property AskVolume5() As Integer

        ''' <summary>
        ''' 当日均价
        ''' </summary>
        Public Property AveragePrice() As Double

        ''' <summary>
        ''' 业务日期
        ''' </summary>
        Public Property ActionDay() As String
    End Class

    ''' <summary>
    ''' 期权合约手续费率信息
    ''' </summary>
    Public Class OptionInstrumentCommissionRateInfo
        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 投资者范围,49=所有,50=投资者组,51=单一投资者
        ''' </summary>
        Public Property InvestorRange() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 开仓手续费率
        ''' </summary>
        Public Property OpenRatioByMoney() As Double

        ''' <summary>
        ''' 开仓手续费
        ''' </summary>
        Public Property OpenRatioByVolume() As Double

        ''' <summary>
        ''' 平仓手续费率
        ''' </summary>
        Public Property CloseRatioByMoney() As Double

        ''' <summary>
        ''' 平仓手续费
        ''' </summary>
        Public Property CloseRatioByVolume() As Double

        ''' <summary>
        ''' 平今手续费率
        ''' </summary>
        Public Property CloseTodayRatioByMoney() As Double

        ''' <summary>
        ''' 平今手续费
        ''' </summary>
        Public Property CloseTodayRatioByVolume() As Double

        ''' <summary>
        ''' 执行手续费率
        ''' </summary>
        Public Property StrikeRatioByMoney() As Double

        ''' <summary>
        ''' 执行手续费
        ''' </summary>
        Public Property StrikeRatioByVolume() As Double

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 期权交易成本信息
    ''' </summary>
    Public Class OptionInstrumentTradeCostInfo
        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 投机套保标志,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property HedgeFlag() As Integer

        ''' <summary>
        ''' 期权合约保证金不变部分
        ''' </summary>
        Public Property FixedMargin() As Double

        ''' <summary>
        ''' 期权合约最小保证金
        ''' </summary>
        Public Property MiniMargin() As Double

        ''' <summary>
        ''' 期权合约权利金
        ''' </summary>
        Public Property Royalty() As Double

        ''' <summary>
        ''' 交易所期权合约保证金不变部分
        ''' </summary>
        Public Property ExchFixedMargin() As Double

        ''' <summary>
        ''' 交易所期权合约最小保证金
        ''' </summary>
        Public Property ExchMiniMargin() As Double

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 报单信息
    ''' </summary>
    Public Class OrderInfo
        ''' <summary>
        ''' 报单序号
        ''' </summary>
        Public Property OrderSn() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 报单引用
        ''' </summary>
        Public Property OrderRef() As String

        ''' <summary>
        ''' 用户代码
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 报单价格条件类型:
        ''' 49=任意价(AnyPrice),
        ''' 50=限价(LimitPrice),
        ''' 51=最优价(BestPrice),
        ''' 52=最新价(LastPrice),
        ''' 53=最新价浮动上浮1个ticks(LastPricePlusOneTicks),
        ''' 54=最新价浮动上浮2个ticks(LastPricePlusTwoTicks),
        ''' 55=最新价浮动上浮3个ticks(LastPricePlusThreeTicks),
        ''' 56=卖一价(AskPrice1),
        ''' 57=卖一价浮动上浮1个ticks(AskPrice1PlusOneTicks),
        ''' 65=卖一价浮动上浮2个ticks(AskPrice1PlusTwoTicks),
        ''' 66=卖一价浮动上浮3个ticks(AskPrice1PlusThreeTicks),
        ''' 67=买一价(BidPrice1),
        ''' 68=买一价浮动上浮1个ticks(BidPrice1PlusOneTicks),
        ''' 69=买一价浮动上浮2个ticks(BidPrice1PlusTwoTicks),
        ''' 70=买一价浮动上浮3个ticks(BidPrice1PlusThreeTicks),
        ''' 71=五档价(FiveLevelPrice)
        ''' </summary>
        Public Property OrderPriceType() As Integer

        ''' <summary>
        ''' 买卖方向,48=买(Buy);49=卖(Sell)
        ''' </summary>
        Public Property Direction() As Integer

        ''' <summary>
        ''' 组合开平标志1,48=开仓(Open),49=平仓(Close),50=强平(ForceClose),51=平今(CloseToday),52=平昨(CloseYesterday),53=强减(ForceOff),54=本地强平(LocalForceClose)
        ''' </summary>
        Public Property CombOffsetFlag1() As Integer

        ''' <summary>
        ''' 组合开平标志2,48=开仓(Open),49=平仓(Close),50=强平(ForceClose),51=平今(CloseToday),52=平昨(CloseYesterday),53=强减(ForceOff),54=本地强平(LocalForceClose)
        ''' </summary>
        Public Property CombOffsetFlag2() As Integer

        ''' <summary>
        ''' 组合开平标志3,48=开仓(Open),49=平仓(Close),50=强平(ForceClose),51=平今(CloseToday),52=平昨(CloseYesterday),53=强减(ForceOff),54=本地强平(LocalForceClose)
        ''' </summary>
        Public Property CombOffsetFlag3() As Integer

        ''' <summary>
        ''' 组合开平标志4,48=开仓(Open),49=平仓(Close),50=强平(ForceClose),51=平今(CloseToday),52=平昨(CloseYesterday),53=强减(ForceOff),54=本地强平(LocalForceClose)
        ''' </summary>
        Public Property CombOffsetFlag4() As Integer

        ''' <summary>
        ''' 组合开平标志5,48=开仓(Open),49=平仓(Close),50=强平(ForceClose),51=平今(CloseToday),52=平昨(CloseYesterday),53=强减(ForceOff),54=本地强平(LocalForceClose)
        ''' </summary>
        Public Property CombOffsetFlag5() As Integer

        ''' <summary>
        ''' 组合投机套保标志1,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property CombHedgeFlag1() As Integer

        ''' <summary>
        ''' 组合投机套保标志2,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property CombHedgeFlag2() As Integer

        ''' <summary>
        ''' 组合投机套保标志3,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property CombHedgeFlag3() As Integer

        ''' <summary>
        ''' 组合投机套保标志4,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property CombHedgeFlag4() As Integer

        ''' <summary>
        ''' 组合投机套保标志5,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property CombHedgeFlag5() As Integer

        ''' <summary>
        ''' 价格
        ''' </summary>
        Public Property LimitPrice() As Double

        ''' <summary>
        ''' 数量
        ''' </summary>
        Public Property VolumeTotalOriginal() As Integer

        ''' <summary>
        ''' 有效期类型,49=立即完成,否则撤销(IOC),50=本节有效(GFS),51=当日有效(GFD),52=指定日期前有效(GTD),53=撤销前有效(GTC),54=集合竞价有效(GFA)
        ''' </summary>
        Public Property TimeCondition() As Integer

        ''' <summary>
        ''' GTD日期
        ''' </summary>
        Public Property GtdDate() As String

        ''' <summary>
        ''' 成交量类型,49=任何数量(AV),50=最小数量(MV),51=全部数量(CV)
        ''' </summary>
        Public Property VolumeCondition() As Integer

        ''' <summary>
        ''' 最小成交量
        ''' </summary>
        Public Property MinVolume() As Integer

        ''' <summary>
        ''' 触发条件:
        ''' 49=立即(Immediately),
        ''' 50=止损(Touch),
        ''' 51=止赢(TouchProfit),
        ''' 52=预埋单(ParkedOrder),
        ''' 53=最新价大于条件价(LastPriceGreaterThanStopPrice),
        ''' 54=最新价大于等于条件价(LastPriceGreaterEqualStopPrice),
        ''' 55=最新价小于条件价(LastPriceLesserThanStopPrice),
        ''' 56=最新价小于等于条件价(LastPriceLesserEqualStopPrice),
        ''' 57=卖一价大于条件价(AskPriceGreaterThanStopPrice),
        ''' 65=卖一价大于等于条件价(AskPriceGreaterEqualStopPrice),
        ''' 66=卖一价小于条件价(AskPriceLesserThanStopPrice),
        ''' 67=卖一价小于等于条件价(AskPriceLesserEqualStopPrice),
        ''' 68=买一价大于条件价(BidPriceGreaterThanStopPrice),
        ''' 69=买一价大于等于条件价(BidPriceGreaterEqualStopPrice),
        ''' 70=买一价小于条件价(BidPriceLesserThanStopPrice),
        ''' 72=买一价小于等于条件价(BidPriceLesserEqualStopPrice)
        ''' </summary>
        Public Property ContingentCondition() As Integer

        ''' <summary>
        ''' 止损价
        ''' </summary>
        Public Property StopPrice() As Double

        ''' <summary>
        ''' 强平原因,
        ''' 48=非强平(NotForceClose),
        ''' 49=资金不足(LackDeposit),
        ''' 50=客户超仓(ClientOverPositionLimit),
        ''' 51=会员超仓(MemberOverPositionLimit),
        ''' 52=持仓非整数倍(NotMultiple),
        ''' 53=违规(Violation),
        ''' 54=其它(Other),
        ''' 55=自然人临近交割(PersonDeliv)
        ''' </summary>
        Public Property ForceCloseReason() As Integer

        ''' <summary>
        ''' 自动挂起标志
        ''' </summary>
        Public Property IsAutoSuspend() As Integer

        ''' <summary>
        ''' 业务单元
        ''' </summary>
        Public Property BusinessUnit() As String

        ''' <summary>
        ''' 请求编号
        ''' </summary>
        Public Property RequestId() As Integer

        ''' <summary>
        ''' 本地报单编号
        ''' </summary>
        Public Property OrderLocalId() As String

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 会员代码
        ''' </summary>
        Public Property ParticipantId() As String

        ''' <summary>
        ''' 客户代码
        ''' </summary>
        Public Property ClientId() As String

        ''' <summary>
        ''' 合约在交易所的代码
        ''' </summary>
        Public Property ExchangeInstId() As String

        ''' <summary>
        ''' 交易所交易员代码
        ''' </summary>
        Public Property TraderId() As String

        ''' <summary>
        ''' 安装编号
        ''' </summary>
        Public Property InstallId() As Integer

        ''' <summary>
        ''' 报单提交状态：
        ''' 48=已经提交(InsertSubmitted);
        ''' 49=撤单已经提交(CancelSubmitted);
        ''' 50=修改已经提交(ModifySubmitted);
        ''' 51=已经接受(Accepted);
        ''' 52=报单已经被拒绝(InsertRejected);
        ''' 53=撤单已经被拒绝(CancelRejected);
        ''' 54=改单已经被拒绝(ModifyRejected)
        ''' </summary>
        Public Property OrderSubmitStatus() As Integer

        ''' <summary>
        ''' 报单提示序号
        ''' </summary>
        Public Property NotifySequence() As Integer

        ''' <summary>
        ''' 交易日
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 结算编号
        ''' </summary>
        Public Property SettlementId() As Integer

        ''' <summary>
        ''' 报单编号
        ''' </summary>
        Public Property OrderSysId() As String

        ''' <summary>
        ''' 报单来源,48=来自参与者,49=来自管理员
        ''' </summary>
        Public Property OrderSource() As Integer

        ''' <summary>
        ''' 报单状态:
        ''' 48=全部成交(AllTraded);
        ''' 49=部分成交还在队列中(PartTradedQueueing);
        ''' 50=部分成交不在队列中(PartTradedNotQueueing);
        ''' 51=未成交还在队列中(NoTradeQueueing);
        ''' 52=未成交不在队列中(NoTradeNotQueueing);
        ''' 53=撤单(Canceled);
        ''' 97=未知(Unknown);
        ''' 98=尚未触发(NotTouched);
        ''' 99=已触发(Touched)
        ''' </summary>
        Public Property OrderStatus() As Integer

        ''' <summary>
        ''' 报单类型:
        ''' 48=正常(Normal),
        ''' 49=报价衍生(DeriveFromQuote),
        ''' 50=组合衍生(DeriveFromCombination),
        ''' 51=组合报单(Combination),
        ''' 52=条件单(ConditionalOrder),
        ''' 53=互换单(Swap)
        ''' </summary>
        Public Property OrderType() As Integer

        ''' <summary>
        ''' 今成交数量
        ''' </summary>
        Public Property VolumeTraded() As Integer

        ''' <summary>
        ''' 剩余数量
        ''' </summary>
        Public Property VolumeTotal() As Integer

        ''' <summary>
        ''' 报单日期
        ''' </summary>
        Public Property InsertDate() As String

        ''' <summary>
        ''' 委托时间
        ''' </summary>
        Public Property InsertTime() As String

        ''' <summary>
        ''' 激活时间
        ''' </summary>
        Public Property ActiveTime() As String

        ''' <summary>
        ''' 挂起时间
        ''' </summary>
        Public Property SuspendTime() As String

        ''' <summary>
        ''' 最后修改时间
        ''' </summary>
        Public Property UpdateTime() As String

        ''' <summary>
        ''' 撤销时间
        ''' </summary>
        Public Property CancelTime() As String

        ''' <summary>
        ''' 最后修改交易所交易员代码
        ''' </summary>
        Public Property ActiveTraderId() As String

        ''' <summary>
        ''' 结算会员编号
        ''' </summary>
        Public Property ClearingPartId() As String

        ''' <summary>
        ''' 序号
        ''' </summary>
        Public Property SequenceNo() As Integer

        ''' <summary>
        ''' 前置编号
        ''' </summary>
        Public Property FrontId() As Integer

        ''' <summary>
        ''' 会话编号
        ''' </summary>
        Public Property SessionId() As Integer

        ''' <summary>
        ''' 用户端产品信息
        ''' </summary>
        Public Property UserProductInfo() As String

        ''' <summary>
        ''' 状态信息
        ''' </summary>
        Public Property StatusMsg() As String

        ''' <summary>
        ''' 用户强评标志
        ''' </summary>
        Public Property UserForceClose() As Integer

        ''' <summary>
        ''' 操作用户代码
        ''' </summary>
        Public Property ActiveUserId() As String

        ''' <summary>
        ''' 经纪公司报单编号
        ''' </summary>
        Public Property BrokerOrderSeq() As Integer

        ''' <summary>
        ''' 相关报单
        ''' </summary>
        Public Property RelativeOrderSysId() As String

        ''' <summary>
        ''' 郑商所成交数量
        ''' </summary>
        Public Property ZceTotalTradedVolume() As Integer

        ''' <summary>
        ''' 互换单标志
        ''' </summary>
        Public Property IsSwapOrder() As Integer

        ''' <summary>
        ''' 营业部编号
        ''' </summary>
        Public Property BranchId() As String

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String

        ''' <summary>
        ''' 资金账号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String

        ''' <summary>
        ''' IP地址
        ''' </summary>
        Public Property IpAddress() As String

        ''' <summary>
        ''' Mac地址
        ''' </summary>
        Public Property MacAddress() As String
    End Class

    ''' <summary>
    ''' 持仓信息
    ''' </summary>
    Public Class PositionInfo
        ''' <summary>
        ''' 买卖方向,48=买(Buy) { get; set; }49=卖(Sell)
        ''' </summary>
        Public Property Direction() As Integer

        ''' <summary>
        ''' 可平量
        ''' </summary>
        Public Property ClosablePosition() As Integer

        ''' <summary>
        ''' 可平今量
        ''' </summary>
        Public Property ClosableTodayPosition() As Integer

        ''' <summary>
        ''' 持仓均价
        ''' </summary>
        Public Property PositionAveragePrice() As Double

        ''' <summary>
        ''' 开仓均价
        ''' </summary>
        Public Property OpenAveragePrice() As Double

        ''' <summary>
        ''' 开仓盈亏
        ''' </summary>
        Public Property OpenProfit() As Double

        ''' <summary>
        ''' 可平昨量(非上期所合约即为可平总量,上期所合约为可平总量-可平今量)
        ''' </summary>
        Public Property ClosableYesterDayPosition() As Integer

        ''' <summary>
        ''' 持仓金额
        ''' </summary>
        Public Property PositionAmount() As Double

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 持仓多空方向,49=净,50=多头,51=空头
        ''' </summary>
        Public Property PosiDirection() As Integer

        ''' <summary>
        ''' 投机套保标志,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property HedgeFlag() As Integer

        ''' <summary>
        ''' 持仓日期类型,49=使用历史持仓(UseHistory),50=不使用历史持仓(NoUseHistory)
        ''' </summary>
        Public Property PositionDate() As Integer

        ''' <summary>
        ''' 上日持仓
        ''' </summary>
        Public Property YdPosition() As Integer

        ''' <summary>
        ''' 今日持仓
        ''' </summary>
        Public Property Position() As Integer

        ''' <summary>
        ''' 多头冻结
        ''' </summary>
        Public Property LongFrozen() As Integer

        ''' <summary>
        ''' 空头冻结
        ''' </summary>
        Public Property ShortFrozen() As Integer

        ''' <summary>
        ''' 开仓冻结金额
        ''' </summary>
        Public Property LongFrozenAmount() As Double

        ''' <summary>
        ''' 开仓冻结金额
        ''' </summary>
        Public Property ShortFrozenAmount() As Double

        ''' <summary>
        ''' 开仓量
        ''' </summary>
        Public Property OpenVolume() As Integer

        ''' <summary>
        ''' 平仓量
        ''' </summary>
        Public Property CloseVolume() As Integer

        ''' <summary>
        ''' 开仓金额
        ''' </summary>
        Public Property OpenAmount() As Double

        ''' <summary>
        ''' 平仓金额
        ''' </summary>
        Public Property CloseAmount() As Double

        ''' <summary>
        ''' 持仓成本
        ''' </summary>
        Public Property PositionCost() As Double

        ''' <summary>
        ''' 上次占用的保证金
        ''' </summary>
        Public Property PreMargin() As Double

        ''' <summary>
        ''' 占用的保证金
        ''' </summary>
        Public Property UseMargin() As Double

        ''' <summary>
        ''' 冻结的保证金
        ''' </summary>
        Public Property FrozenMargin() As Double

        ''' <summary>
        ''' 冻结的资金
        ''' </summary>
        Public Property FrozenCash() As Double

        ''' <summary>
        ''' 冻结的手续费
        ''' </summary>
        Public Property FrozenCommission() As Double

        ''' <summary>
        ''' 资金差额
        ''' </summary>
        Public Property CashIn() As Double

        ''' <summary>
        ''' 手续费
        ''' </summary>
        Public Property Commission() As Double

        ''' <summary>
        ''' 平仓盈亏
        ''' </summary>
        Public Property CloseProfit() As Double

        ''' <summary>
        ''' 持仓盈亏
        ''' </summary>
        Public Property PositionProfit() As Double

        ''' <summary>
        ''' 上次结算价
        ''' </summary>
        Public Property PreSettlementPrice() As Double

        ''' <summary>
        ''' 本次结算价
        ''' </summary>
        Public Property SettlementPrice() As Double

        ''' <summary>
        ''' 交易日
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 结算编号
        ''' </summary>
        Public Property SettlementId() As Integer

        ''' <summary>
        ''' 开仓成本
        ''' </summary>
        Public Property OpenCost() As Double

        ''' <summary>
        ''' 交易所保证金
        ''' </summary>
        Public Property ExchangeMargin() As Double

        ''' <summary>
        ''' 组合成交形成的持仓
        ''' </summary>
        Public Property CombPosition() As Integer

        ''' <summary>
        ''' 组合多头冻结
        ''' </summary>
        Public Property CombLongFrozen() As Integer

        ''' <summary>
        ''' 组合空头冻结
        ''' </summary>
        Public Property CombShortFrozen() As Integer

        ''' <summary>
        ''' 逐日盯市平仓盈亏
        ''' </summary>
        Public Property CloseProfitByDate() As Double

        ''' <summary>
        ''' 逐笔对冲平仓盈亏
        ''' </summary>
        Public Property CloseProfitByTrade() As Double

        ''' <summary>
        ''' 今日持仓
        ''' </summary>
        Public Property TodayPosition() As Integer

        ''' <summary>
        ''' 保证金率
        ''' </summary>
        Public Property MarginRateByMoney() As Double

        ''' <summary>
        ''' 保证金率(按手数)
        ''' </summary>
        Public Property MarginRateByVolume() As Double

        ''' <summary>
        ''' 执行冻结
        ''' </summary>
        Public Property StrikeFrozen() As Integer

        ''' <summary>
        ''' 执行冻结金额
        ''' </summary>
        Public Property StrikeFrozenAmount() As Double

        ''' <summary>
        ''' 放弃执行冻结
        ''' </summary>
        Public Property AbandonFrozen() As Integer

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 执行冻结的昨仓
        ''' </summary>
        Public Property YdStrikeFrozen() As Integer

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 银行余额
    ''' </summary>
    Public Class QueryBankAccountMoneyInfo
        ''' <summary>
        ''' 业务功能码
        ''' </summary>
        Public Property TradeCode() As String

        ''' <summary>
        ''' 银行代码
        ''' </summary>
        Public Property BankId() As String

        ''' <summary>
        ''' 银行分支机构代码
        ''' </summary>
        Public Property BankBranchId() As String

        ''' <summary>
        ''' 期商代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 期商分支机构代码
        ''' </summary>
        Public Property BrokerBranchId() As String

        ''' <summary>
        ''' 交易日期
        ''' </summary>
        Public Property TradeDate() As String

        ''' <summary>
        ''' 交易时间
        ''' </summary>
        Public Property TradeTime() As String

        ''' <summary>
        ''' 银行流水号
        ''' </summary>
        Public Property BankSerial() As String

        ''' <summary>
        ''' 交易系统日期
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 银期平台消息流水号
        ''' </summary>
        Public Property PlateSerial() As Integer

        ''' <summary>
        ''' 最后分片标志,48=是最后分片,49=不是最后分片
        ''' </summary>
        Public Property LastFragment() As Integer

        ''' <summary>
        ''' 会话号
        ''' </summary>
        Public Property SessionId() As Integer

        ''' <summary>
        ''' 客户姓名
        ''' </summary>
        Public Property CustomerName() As String

        ''' <summary>
        ''' 证件类型:
        ''' 48=组织机构代码(EID);
        ''' 49=中国公民身份证(IDCard);
        ''' 50=军官证(OfficerIDCard);
        ''' 51=警官证(PoliceIDCard);
        ''' 52=士兵证(SoldierIDCard);
        ''' 53=户口簿(HouseholdRegister);
        ''' 54=护照(Passport);
        ''' 55=台胞证(TaiwanCompatriotIDCard);
        ''' 56=回乡证(HomeComingCard);
        ''' 57=营业执照号(LicenseNo);
        ''' 65=税务登记号/当地纳税ID(TaxNo);
        ''' 66=港澳居民来往内地通行证(HMMainlandTravelPermit);
        ''' 67=台湾居民来往大陆通行证(TwMainlandTravelPermit);
        ''' 68=驾照(DrivingLicense);
        ''' 70=当地社保ID(SocialID);
        ''' 71=当地身份证(LocalID);
        ''' 72=商业登记证(BusinessRegistration);
        ''' 73=港澳永久性居民身份证(HKMCIDCard);
        ''' 74=人行开户许可证(AccountsPermits);
        ''' 75=其他证件(OtherCard)
        ''' </summary>
        Public Property IdCardType() As Integer

        ''' <summary>
        ''' 证件号码
        ''' </summary>
        Public Property IdentifiedCardNo() As String

        ''' <summary>
        ''' 客户类型,48=自然人(Person),49=机构户(Institution)
        ''' </summary>
        Public Property CustType() As Integer

        ''' <summary>
        ''' 银行帐号
        ''' </summary>
        Public Property BankAccount() As String

        ''' <summary>
        ''' 银行密码
        ''' </summary>
        Public Property BankPassWord() As String

        ''' <summary>
        ''' 投资者帐号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 期货密码
        ''' </summary>
        Public Property Password() As String

        ''' <summary>
        ''' 期货公司流水号
        ''' </summary>
        Public Property FutureSerial() As Integer

        ''' <summary>
        ''' 安装编号
        ''' </summary>
        Public Property InstallId() As Integer

        ''' <summary>
        ''' 用户标识
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 验证客户证件号码标志,48=是,49=否
        ''' </summary>
        Public Property VerifyCertNoFlag() As Integer

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String

        ''' <summary>
        ''' 摘要
        ''' </summary>
        Public Property Digest() As String

        ''' <summary>
        ''' 银行帐号类型,49=银行存折(BankBook),50=储蓄卡(SavingCard),51=信用卡(CreditCard)
        ''' </summary>
        Public Property BankAccType() As Integer

        ''' <summary>
        ''' 渠道标志
        ''' </summary>
        Public Property DeviceId() As String

        ''' <summary>
        ''' 期货单位帐号类型,49=银行存折(BankBook),50=储蓄卡(SavingCard),51=信用卡(CreditCard)
        ''' </summary>
        Public Property BankSecuAccType() As Integer

        ''' <summary>
        ''' 期货公司银行编码
        ''' </summary>
        Public Property BrokerIdByBank() As String

        ''' <summary>
        ''' 期货单位帐号
        ''' </summary>
        Public Property BankSecuAcc() As String

        ''' <summary>
        ''' 银行密码标志,48=不核对,49=明文核对,50=密文核对
        ''' </summary>
        Public Property BankPwdFlag() As Integer

        ''' <summary>
        ''' 期货资金密码核对标志,48=不核对,49=明文核对,50=密文核对
        ''' </summary>
        Public Property SecuPwdFlag() As Integer

        ''' <summary>
        ''' 交易柜员
        ''' </summary>
        Public Property OperNo() As String

        ''' <summary>
        ''' 请求编号
        ''' </summary>
        Public Property RequestId() As Integer

        ''' <summary>
        ''' 交易ID
        ''' </summary>
        Public Property Tid() As Integer

        ''' <summary>
        ''' 银行可用金额
        ''' </summary>
        Public Property BankUseAmount() As Double

        ''' <summary>
        ''' 银行可取金额
        ''' </summary>
        Public Property BankFetchAmount() As Double

        ''' <summary>
        ''' 错误代码
        ''' </summary>
        Public Property ErrorId() As Integer

        ''' <summary>
        ''' 错误信息
        ''' </summary>
        Public Property ErrorMsg() As String

        ''' <summary>
        ''' 长客户姓名
        ''' </summary>
        Public Property LongCustomerName() As String
    End Class

    ''' <summary>
    ''' 响应信息
    ''' </summary>
    Public Class RspInfo
        ''' <summary>
        ''' 错误代码
        ''' </summary>
        Public Property ErrorId() As Integer

        ''' <summary>
        ''' 错误信息
        ''' </summary>
        Public Property ErrorMsg() As String
    End Class

    ''' <summary>
    ''' 成交信息
    ''' </summary>
    Public Class TradeInfo
        ''' <summary>
        ''' 报单序号
        ''' </summary>
        Public Property OrderSn() As Integer

        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者代码
        ''' </summary>
        Public Property InvestorId() As String

        ''' <summary>
        ''' 合约代码
        ''' </summary>
        Public Property InstrumentId() As String

        ''' <summary>
        ''' 报单引用
        ''' </summary>
        Public Property OrderRef() As String

        ''' <summary>
        ''' 用户代码
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 交易所代码
        ''' </summary>
        Public Property ExchangeId() As String

        ''' <summary>
        ''' 成交编号
        ''' </summary>
        Public Property TradeId() As String

        ''' <summary>
        ''' 买卖方向,48=买(Buy);49=卖(Sell)
        ''' </summary>
        Public Property Direction() As Integer

        ''' <summary>
        ''' 报单编号
        ''' </summary>
        Public Property OrderSysId() As String

        ''' <summary>
        ''' 会员代码
        ''' </summary>
        Public Property ParticipantId() As String

        ''' <summary>
        ''' 客户代码
        ''' </summary>
        Public Property ClientId() As String

        ''' <summary>
        ''' 交易角色:49=代理,50=自营,51=做市商
        ''' </summary>
        Public Property TradingRole() As Integer

        ''' <summary>
        ''' 合约在交易所的代码
        ''' </summary>
        Public Property ExchangeInstId() As String

        ''' <summary>
        ''' 开平标志,48=开仓(Open),49=平仓(Close),50=强平(ForceClose),51=平今(CloseToday),52=平昨(CloseYesterday),53=强减(ForceOff),54=本地强平(LocalForceClose)
        ''' </summary>
        Public Property OffsetFlag() As Integer

        ''' <summary>
        ''' 投机套保标志,49=投机(Speculation),50=套利(Arbitrage),51=套保(Hedge)
        ''' </summary>
        Public Property HedgeFlag() As Integer

        ''' <summary>
        ''' 价格
        ''' </summary>
        Public Property Price() As Double

        ''' <summary>
        ''' 数量
        ''' </summary>
        Public Property Volume() As Integer

        ''' <summary>
        ''' 成交时期
        ''' </summary>
        Public Property TradeDate() As String

        ''' <summary>
        ''' 成交时间
        ''' </summary>
        Public Property TradeTime() As String

        ''' <summary>
        ''' 成交类型:
        ''' 35=组合持仓拆分为单一持仓(SplitCombination),
        ''' 48=普通成交(Common),
        ''' 49=期权执行(OptionsExecution),
        ''' 50=OTC成交(OTC),
        ''' 51=期转现衍生成交(EFPDerived),
        ''' 52=组合衍生成交(CombinationDerived)
        ''' </summary>
        Public Property TradeType() As Integer

        ''' <summary>
        ''' 成交价来源:
        ''' 48=前成交价(LastPrice),
        ''' 49=买委托价(Buy),
        ''' 50=卖委托价(Sell)
        ''' </summary>
        Public Property PriceSource() As Integer

        ''' <summary>
        ''' 交易所交易员代码
        ''' </summary>
        Public Property TraderId() As String

        ''' <summary>
        ''' 本地报单编号
        ''' </summary>
        Public Property OrderLocalId() As String

        ''' <summary>
        ''' 结算会员编号
        ''' </summary>
        Public Property ClearingPartId() As String

        ''' <summary>
        ''' 业务单元
        ''' </summary>
        Public Property BusinessUnit() As String

        ''' <summary>
        ''' 序号
        ''' </summary>
        Public Property SequenceNo() As Integer

        ''' <summary>
        ''' 交易日
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 结算编号
        ''' </summary>
        Public Property SettlementId() As Integer

        ''' <summary>
        ''' 经纪公司报单编号
        ''' </summary>
        Public Property BrokerOrderSeq() As Integer

        ''' <summary>
        ''' 成交来源,48=来自交易所普通回报,49=来自查询
        ''' </summary>
        Public Property TradeSource() As Integer

        ''' <summary>
        ''' 投资单元代码
        ''' </summary>
        Public Property InvestUnitId() As String
    End Class

    ''' <summary>
    ''' 帐号资金信息
    ''' </summary>
    Public Class TradingAccountInfo
        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者帐号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 上次质押金额
        ''' </summary>
        Public Property PreMortgage() As Double

        ''' <summary>
        ''' 上次信用额度
        ''' </summary>
        Public Property PreCredit() As Double

        ''' <summary>
        ''' 上次存款额
        ''' </summary>
        Public Property PreDeposit() As Double

        ''' <summary>
        ''' 上次结算准备金
        ''' </summary>
        Public Property PreBalance() As Double

        ''' <summary>
        ''' 上次占用的保证金
        ''' </summary>
        Public Property PreMargin() As Double

        ''' <summary>
        ''' 利息基数
        ''' </summary>
        Public Property InterestBase() As Double

        ''' <summary>
        ''' 利息收入
        ''' </summary>
        Public Property Interest() As Double

        ''' <summary>
        ''' 入金金额
        ''' </summary>
        Public Property Deposit() As Double

        ''' <summary>
        ''' 出金金额
        ''' </summary>
        Public Property Withdraw() As Double

        ''' <summary>
        ''' 冻结的保证金
        ''' </summary>
        Public Property FrozenMargin() As Double

        ''' <summary>
        ''' 冻结的资金
        ''' </summary>
        Public Property FrozenCash() As Double

        ''' <summary>
        ''' 冻结的手续费
        ''' </summary>
        Public Property FrozenCommission() As Double

        ''' <summary>
        ''' 当前保证金总额
        ''' </summary>
        Public Property CurrMargin() As Double

        ''' <summary>
        ''' 资金差额
        ''' </summary>
        Public Property CashIn() As Double

        ''' <summary>
        ''' 手续费
        ''' </summary>
        Public Property Commission() As Double

        ''' <summary>
        ''' 平仓盈亏
        ''' </summary>
        Public Property CloseProfit() As Double

        ''' <summary>
        ''' 持仓盈亏
        ''' </summary>
        Public Property PositionProfit() As Double

        ''' <summary>
        ''' 期货结算准备金
        ''' </summary>
        Public Property Balance() As Double

        ''' <summary>
        ''' 可用资金
        ''' </summary>
        Public Property Available() As Double

        ''' <summary>
        ''' 可取资金
        ''' </summary>
        Public Property WithdrawQuota() As Double

        ''' <summary>
        ''' 基本准备金
        ''' </summary>
        Public Property Reserve() As Double

        ''' <summary>
        ''' 交易日
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 结算编号
        ''' </summary>
        Public Property SettlementId() As Integer

        ''' <summary>
        ''' 信用额度
        ''' </summary>
        Public Property Credit() As Double

        ''' <summary>
        ''' 质押金额
        ''' </summary>
        Public Property Mortgage() As Double

        ''' <summary>
        ''' 交易所保证金
        ''' </summary>
        Public Property ExchangeMargin() As Double

        ''' <summary>
        ''' 投资者交割保证金
        ''' </summary>
        Public Property DeliveryMargin() As Double

        ''' <summary>
        ''' 交易所交割保证金
        ''' </summary>
        Public Property ExchangeDeliveryMargin() As Double

        ''' <summary>
        ''' 保底期货结算准备金
        ''' </summary>
        Public Property ReserveBalance() As Double

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String

        ''' <summary>
        ''' 上次货币质入金额
        ''' </summary>
        Public Property PreFundMortgageIn() As Double

        ''' <summary>
        ''' 上次货币质出金额
        ''' </summary>
        Public Property PreFundMortgageOut() As Double

        ''' <summary>
        ''' 货币质入金额
        ''' </summary>
        Public Property FundMortgageIn() As Double

        ''' <summary>
        ''' 货币质出金额
        ''' </summary>
        Public Property FundMortgageOut() As Double

        ''' <summary>
        ''' 货币质押余额
        ''' </summary>
        Public Property FundMortgageAvailable() As Double

        ''' <summary>
        ''' 可质押货币金额
        ''' </summary>
        Public Property MortgageableFund() As Double

        ''' <summary>
        ''' 特殊产品占用保证金
        ''' </summary>
        Public Property SpecProductMargin() As Double

        ''' <summary>
        ''' 特殊产品冻结保证金
        ''' </summary>
        Public Property SpecProductFrozenMargin() As Double

        ''' <summary>
        ''' 特殊产品手续费
        ''' </summary>
        Public Property SpecProductCommission() As Double

        ''' <summary>
        ''' 特殊产品冻结手续费
        ''' </summary>
        Public Property SpecProductFrozenCommission() As Double

        ''' <summary>
        ''' 特殊产品持仓盈亏
        ''' </summary>
        Public Property SpecProductPositionProfit() As Double

        ''' <summary>
        ''' 特殊产品平仓盈亏
        ''' </summary>
        Public Property SpecProductCloseProfit() As Double

        ''' <summary>
        ''' 根据持仓盈亏算法计算的特殊产品持仓盈亏
        ''' </summary>
        Public Property SpecProductPositionProfitByAlg() As Double

        ''' <summary>
        ''' 特殊产品交易所保证金
        ''' </summary>
        Public Property SpecProductExchangeMargin() As Double

        ''' <summary>
        ''' 业务类型,49=期货,50=证券
        ''' </summary>
        Public Property BizType() As Integer

        ''' <summary>
        ''' 延时换汇冻结金额
        ''' </summary>
        Public Property FrozenSwap() As Double

        ''' <summary>
        ''' 剩余换汇额度
        ''' </summary>
        Public Property RemainSwap() As Double
    End Class

    ''' <summary>
    ''' 资金账户口令变更
    ''' </summary>
    Public Class TradingAccountPasswordUpdateInfo
        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 投资者帐号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 原来的口令
        ''' </summary>
        Public Property OldPassword() As String

        ''' <summary>
        ''' 新的口令
        ''' </summary>
        Public Property NewPassword() As String

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String
    End Class

    ''' <summary>
    ''' 银期转帐响应
    ''' </summary>
    Public Class TransferInfo
        ''' <summary>
        ''' 业务功能码
        ''' </summary>
        Public Property TradeCode() As String

        ''' <summary>
        ''' 银行代码
        ''' </summary>
        Public Property BankId() As String

        ''' <summary>
        ''' 银行分支机构代码
        ''' </summary>
        Public Property BankBranchId() As String

        ''' <summary>
        ''' 期商代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 期商分支机构代码
        ''' </summary>
        Public Property BrokerBranchId() As String

        ''' <summary>
        ''' 交易日期
        ''' </summary>
        Public Property TradeDate() As String

        ''' <summary>
        ''' 交易时间
        ''' </summary>
        Public Property TradeTime() As String

        ''' <summary>
        ''' 银行流水号
        ''' </summary>
        Public Property BankSerial() As String

        ''' <summary>
        ''' 交易系统日期
        ''' </summary>
        Public Property TradingDay() As String

        ''' <summary>
        ''' 银期平台消息流水号
        ''' </summary>
        Public Property PlateSerial() As Integer

        ''' <summary>
        ''' 最后分片标志,48=是最后分片,49=不是最后分片
        ''' </summary>
        Public Property LastFragment() As Integer

        ''' <summary>
        ''' 会话号
        ''' </summary>
        Public Property SessionId() As Integer

        ''' <summary>
        ''' 客户姓名
        ''' </summary>
        Public Property CustomerName() As String

        ''' <summary>
        ''' 证件类型:
        ''' 48=组织机构代码(EID);
        ''' 49=中国公民身份证(IDCard);
        ''' 50=军官证(OfficerIDCard);
        ''' 51=警官证(PoliceIDCard);
        ''' 52=士兵证(SoldierIDCard);
        ''' 53=户口簿(HouseholdRegister);
        ''' 54=护照(Passport);
        ''' 55=台胞证(TaiwanCompatriotIDCard);
        ''' 56=回乡证(HomeComingCard);
        ''' 57=营业执照号(LicenseNo);
        ''' 65=税务登记号/当地纳税ID(TaxNo);
        ''' 66=港澳居民来往内地通行证(HMMainlandTravelPermit);
        ''' 67=台湾居民来往大陆通行证(TwMainlandTravelPermit);
        ''' 68=驾照(DrivingLicense);
        ''' 70=当地社保ID(SocialID);
        ''' 71=当地身份证(LocalID);
        ''' 72=商业登记证(BusinessRegistration);
        ''' 73=港澳永久性居民身份证(HKMCIDCard);
        ''' 74=人行开户许可证(AccountsPermits);
        ''' 75=其他证件(OtherCard)
        ''' </summary>
        Public Property IdCardType() As Integer

        ''' <summary>
        ''' 证件号码
        ''' </summary>
        Public Property IdentifiedCardNo() As String

        ''' <summary>
        ''' 客户类型,48=自然人(Person),49=机构户(Institution)
        ''' </summary>
        Public Property CustType() As Integer

        ''' <summary>
        ''' 银行帐号
        ''' </summary>
        Public Property BankAccount() As String

        ''' <summary>
        ''' 银行密码
        ''' </summary>
        Public Property BankPassWord() As String

        ''' <summary>
        ''' 投资者帐号
        ''' </summary>
        Public Property AccountId() As String

        ''' <summary>
        ''' 期货密码
        ''' </summary>
        Public Property Password() As String

        ''' <summary>
        ''' 安装编号
        ''' </summary>
        Public Property InstallId() As Integer

        ''' <summary>
        ''' 期货公司流水号
        ''' </summary>
        Public Property FutureSerial() As Integer

        ''' <summary>
        ''' 用户标识
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 验证客户证件号码标志,48=是,49=否
        ''' </summary>
        Public Property VerifyCertNoFlag() As Integer

        ''' <summary>
        ''' 币种代码
        ''' </summary>
        Public Property CurrencyId() As String

        ''' <summary>
        ''' 转帐金额
        ''' </summary>
        Public Property TradeAmount() As Double

        ''' <summary>
        ''' 期货可取金额
        ''' </summary>
        Public Property FutureFetchAmount() As Double

        ''' <summary>
        ''' 费用支付标志,48=由受益方支付费用,49=由发送方支付费用,50=由发送方支付发起的费用，受益方支付接受的费用
        ''' </summary>
        Public Property FeePayFlag() As Integer

        ''' <summary>
        ''' 应收客户费用
        ''' </summary>
        Public Property CustFee() As Double

        ''' <summary>
        ''' 应收期货公司费用
        ''' </summary>
        Public Property BrokerFee() As Double

        ''' <summary>
        ''' 发送方给接收方的消息
        ''' </summary>
        Public Property Message() As String

        ''' <summary>
        ''' 摘要
        ''' </summary>
        Public Property Digest() As String

        ''' <summary>
        ''' 银行帐号类型,49=银行存折(BankBook),50=储蓄卡(SavingCard),51=信用卡(CreditCard)
        ''' </summary>
        Public Property BankAccType() As Integer

        ''' <summary>
        ''' 渠道标志
        ''' </summary>
        Public Property DeviceId() As String

        ''' <summary>
        ''' 期货单位帐号类型,49=银行存折(BankBook),50=储蓄卡(SavingCard),51=信用卡(CreditCard)
        ''' </summary>
        Public Property BankSecuAccType() As Integer

        ''' <summary>
        ''' 期货公司银行编码
        ''' </summary>
        Public Property BrokerIdByBank() As String

        ''' <summary>
        ''' 期货单位帐号
        ''' </summary>
        Public Property BankSecuAcc() As String

        ''' <summary>
        ''' 银行密码标志,48=不核对,49=明文核对,50=密文核对
        ''' </summary>
        Public Property BankPwdFlag() As Integer

        ''' <summary>
        ''' 期货资金密码核对标志,48=不核对,49=明文核对,50=密文核对
        ''' </summary>
        Public Property SecuPwdFlag() As Integer

        ''' <summary>
        ''' 交易柜员
        ''' </summary>
        Public Property OperNo() As String

        ''' <summary>
        ''' 请求编号
        ''' </summary>
        Public Property RequestId() As Integer

        ''' <summary>
        ''' 交易ID
        ''' </summary>
        Public Property Tid() As Integer

        ''' <summary>
        ''' 转账交易状态,48=正常,49=被冲正
        ''' </summary>
        Public Property TransferStatus() As Integer

        ''' <summary>
        ''' 错误代码
        ''' </summary>
        Public Property ErrorId() As Integer

        ''' <summary>
        ''' 错误信息
        ''' </summary>
        Public Property ErrorMsg() As String

        ''' <summary>
        ''' 长客户姓名
        ''' </summary>
        Public Property LongCustomerName() As String
    End Class

    ''' <summary>
    ''' 用户口令变更信息
    ''' </summary>
    Public Class UserPasswordUpdateInfo
        ''' <summary>
        ''' 经纪公司代码
        ''' </summary>
        Public Property BrokerId() As String

        ''' <summary>
        ''' 用户代码
        ''' </summary>
        Public Property UserId() As String

        ''' <summary>
        ''' 原来的口令
        ''' </summary>
        Public Property OldPassword() As String

        ''' <summary>
        ''' 新的口令
        ''' </summary>
        Public Property NewPassword() As String
    End Class

End Namespace
